Blog: 2024-08-27

From razwiki
Revision as of 17:05, 27 August 2024 by Razzi (talk | contribs)
Jump to navigation Jump to search

Got some interest in downloading planck clojurescript repl, as a more approachable runtime for a command line lisp editor that's not emacs. Anyways... elisp isn't that bad as a language really. But I got stuck on installing planck from source, I guess cause I don't have a `jar` command.

Here's what I tried to do to make it not have all these weird errors

planck $ git diff
diff --git a/script/get-closure-library b/script/get-closure-library
index aeedb61..b745168 100755
--- a/script/get-closure-library
+++ b/script/get-closure-library
@@ -14,7 +14,7 @@ if [ ! -f $output ]; then
     mkdir -p planck-cljs/lib/closure
     cd planck-cljs/lib/closure
     curl --retry 3 -LO -s https://repo1.maven.org/maven2/org/clojure/google-closure-library/$GCL_RELEASE/google-closure-library-$GCL_RELEASE.jar || { echo "Download failed."; exit 1; }
-    jar xf google-closure-library-$GCL_RELEASE.jar
+    jar xf google-closure-library-$GCL_RELEASE.jar || exit 1
     rm google-closure-library-$GCL_RELEASE.jar
     cd ..
     mkdir -p third_party/closure
planck $ 

The weird errors in question looked like

planck $ ./script/build
Creating an optimized build, using build cache to speed up build.
Specifying --fast skips optimizations and takes less than two minutes.
Fetching Google Closure Compiler...
Fetching Google Closure Library...
script/get-closure-library: line 17: jar: command not found
script/get-closure-library: line 23: jar: command not found
script/get-closure-library: line 37: cd: planck-cljs/lib/closure/goog: No such file or directory
script/get-closure-library: line 64: cd: planck-cljs/lib/third_party/closure/goog: No such file or directory
find: ‘./var/spool/cron/crontabs’: Permission denied
find: ‘./var/spool/cups’: Permission denied
find: ‘./var/spool/rsyslog’: Permission denied
find: ‘./var/spool/postfix/bounce’: Permission denied